$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER*1 KEY, AUX
      INTEGER I
      INTEGER UNITS_PER_TICK
      INTEGER SECONDS
      INTEGER FG_MEASURE

      CALL FG_INITPM
      SECONDS = 0
      WRITE(6,*) 'Benchmarking system speed...'
      UNITS_PER_TICK = FG_MEASURE()
      WRITE(6,*) 'Benchmark completed.'
      WRITE(6,*)

10    DO 20 I = 1,91
         CALL FG_STALL(UNITS_PER_TICK)
20    CONTINUE
      SECONDS = SECONDS + 5
      WRITE(6,*) SECONDS, ' seconds have elapsed.'
      CALL FG_INTKEY(KEY,AUX)
      IF (KEY+AUX .EQ. 0) GO TO 10

      STOP ' '
      END
